Package org.kapott.hbci.GV_Result

# Enum Class GVRVoP.VoPStatus

java.lang.Object
java.lang.Enum<GVRVoP.VoPStatus>
org.kapott.hbci.GV_Result.GVRVoP.VoPStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<GVRVoP.VoPStatus>`, `Constable`

Enclosing class:
  `GVRVoP`

public static enum GVRVoP.VoPStatus extends Enum<GVRVoP.VoPStatus>
Enum mit den möglichen Rückgabe-Status.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSE_MATCH`
Beinahe Übereinstimmung.
`MATCH`
Übereinstimmung.
`NO_MATCH`
Keine Übereinstimmung.
`NOT_APPLICABLE`
Nicht anwendbar.
`PENDING`
Wartet auf Rückmeldung.

## Method Summary

Modifier and Type
Method
Description
`static GVRVoP.VoPStatus`
`byCode(String code)`
Versucht den Enum-Wert basierend auf dem Code zu ermitteln.
`static GVRVoP.VoPStatus`
`byName(String name)`
Versucht den Enum-Wert basierend auf dem Namen zu ermitteln.
`String`
`getCode()`
Liefert den HBCI-Code.
`String`
`getDescription()`
Liefert die Beschreibung.
`static GVRVoP.VoPStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GVRVoP.VoPStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MATCH

public static final GVRVoP.VoPStatus MATCH
Übereinstimmung.

### NO_MATCH

public static final GVRVoP.VoPStatus NO_MATCH
Keine Übereinstimmung.

### CLOSE_MATCH

public static final GVRVoP.VoPStatus CLOSE_MATCH
Beinahe Übereinstimmung.

### NOT_APPLICABLE

public static final GVRVoP.VoPStatus NOT_APPLICABLE
Nicht anwendbar.

### PENDING

public static final GVRVoP.VoPStatus PENDING
Wartet auf Rückmeldung.

## Method Details

### values

public static GVRVoP.VoPStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GVRVoP.VoPStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public String getCode()
Liefert den HBCI-Code.

Returns:
  code der HBCI-Code.

### getDescription

public String getDescription()
Liefert die Beschreibung.

Returns:
  description die Beschreibung.

### byCode

public static GVRVoP.VoPStatus byCode(String code)
Versucht den Enum-Wert basierend auf dem Code zu ermitteln.

Parameters:
  `code` - der Text mit dem Code.
Returns:
  die Enum oder NULL, wenn sie nicht ermittelbar ist.

### byName

public static GVRVoP.VoPStatus byName(String name)
Versucht den Enum-Wert basierend auf dem Namen zu ermitteln.

Parameters:
  `name` - der Text mit dem Namen.
Returns:
  die Enum oder NULL, wenn sie nicht ermittelbar ist.